6

Ubuntu 16.04 LTS 64-bit All packages currently up to date as far as I can without going to 16.10 (I can't do a distro update as I am a first responder and my radio gear will not work on 16.10 as of yet). Laptop is currently configured the same, yet it seems to work just fine, so I'm not sure what's causing this.

When trying to open simply Notepad, I am given the following error:

brandon@BrandonsDesktop:~$ wine notepad
Wine cannot find the FreeType font library.  To enable Wine to
use TrueType fonts please install a version of FreeType greater than
or equal to 2.0.5.
http://www.freetype.org

The window opens, but the menu bar is blank and no letters type out, in fact doing that brings up an invisible Program Error box that has to be closed by the task bar.

What I have done to attempt to remedy this: Purged Wine, libfreetype6, ttf-mscorefonts Then did the following:

rm -rf $HOME/.wine
rm -f $HOME/.config/menus/applications-merged/wine*
rm -rf $HOME/.local/share/applications/wine
rm -f $HOME/.local/share/desktop-directories/wine*
rm -f $HOME/.local/share/icons/????_*.xpm

I then reinstalled WINE, but the same issue ocurrs. I'm not even sure why it's doing this? The only configuration difference between this computer and the laptop, is that this computer has 3 monitors.

Any help is greatly appreciated. Thanks.

I made a video demonstrating the issues it's showing me, 10 minutes long, but maybe you'll catch something in the terminal that I missed?

https://www.youtube.com/watch?v=SXGe-lo4haw

EDIT: I have tried the latest winehq packages, wine-staging, same issue as before.

3

Wine needs the 32bit version of libraries. Probably you have freetype 64 but no 32.

Execute a clean wine space:

env WINEPREFIX=~/.wine32 WINEARCH=win32 notepad

Also check

env WINEPREFIX=~/.wine64 WINEARCH=win64 notepad

I have a system with Ubuntu 16.04 and wine working. if I list my libs it says:

/usr/lib/x86_64-linux-gnu# ll | grep freetype
lrwxrwxrwx   1 root root       21 oct  6 09:32 libfreetype.so.6 -> libfreetype.so.6.12.1
-rw-r--r--   1 root root   694800 abr 15  2016 libfreetype.so.6.12.1

And

/usr/lib/i386-linux-gnu# ll | grep freetype
lrwxrwxrwx   1 root root       21 abr 15  2016 libfreetype.so.6 -> libfreetype.so.6.12.1
-rw-r--r--   1 root root   714364 abr 15  2016 libfreetype.so.6.12.1

Check what do you have in your system

Regards

  • Nope I have the 32-bit versions, verified with dpkg -l "freetype". – Brandon MacEachern Nov 8 '16 at 10:24
  • 1
    I updated my answer to give you more options – Carlos Rafael Ramirez Nov 8 '16 at 12:37
  • 1
    I don't think the edited command will match the output, so I have rolled back that edit @WaKeMaTTa – muru Mar 5 '18 at 7:18
2

UPDATE:
I found out what caused the problem. I installed a lightscribe labeler package, 4l_1.0-1_i386.deb

This package breaks wine. If you uninstall the package, wine works again. I have an older package for this labeler, 4L-1.0-r6.i586.rpm, which can be converted to .deb using alien. The older package does not cause the font problem with wine. If you you're going to use the lightscribe labeler, don't use the 4l_1.0-1_i386.deb package.

ORIGINAL POST:
The answers above led me to this solution:

  1. Open Package Manager
  2. In search window type without quotes 'freetype'
  3. Right-click on 'libfreetype6:i386' and mark for removal
  4. Click Apply. It removes itself and several other dependent packages.
  5. Reinstall that same library and all the packages it removed.

After doing this and reinstalling wine, wine worked correctly again.

Background: OS is Linux Mint 18 64bit (based on Ubuntu 16.04). Wine programs unexpectedly started running with no fonts, and were opening in tiny, empty, box-shaped windows. Running wine from terminal showed the 'Wine cannot find the FreeType font library' error. No combination of removing/reinstalling wine was correcting the issue. All indications were that the font libraries were correctly installed.

You'll see other libfreetype libraries in package manager, but if you try to remove those, the package manager wants to remove over 500 packages and says it will break your system. Just removing and reinstalling the libfreetype6:i386 one corrected the problem on my system.

  • Wow good catch, I actually had installed Lightscribe software not that long ago because I installed a burner for it recently (what a waste of money I didn't know the tech was dead). – Brandon MacEachern Dec 19 '16 at 9:30
  • Hey, I hope you're still around monitoring this. Everything mostly still works, but I can no longer load one of my games, Brutal Doom, which uses GZDoom. It crashes when loading fmodex.dll. What's interesting is I tried this on my laptop (even though it's not a lightscribe drive). Before installing lightscribe libs, Brutal Doom loads and plays great in Wine. Install the libs, and remove them (especially after reinstalling the freetype libs), Brutal Doom also doesn't load on that machine now, same error. So something is still broken, more than freetype. I'm not sure what though. – Brandon MacEachern Jan 31 '17 at 6:42
1

Even though the correct 32-bit library was installed, I had to completely remove it via synaptic package completely, and reinstall it. Now it's working fine, not sure why it wasn't working on it's own when it was already installed, but it IS working now.

  • 1
    Oh, excellent. I left some diagnostics for someone with similar issue – Carlos Rafael Ramirez Nov 8 '16 at 12:38
  • 1
    Thanks if I ever run into this issue again I'll try it myself too. I was trying to compare to my laptop, but I wasn't checking permissions, only the folder structures. – Brandon MacEachern Nov 8 '16 at 13:16

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.